Subject: Re: [PATCH, fixed version] git-fetch, git-branch: Support local --track via a special remote `.'

From: Santi Béjar <[email-masked]>
Date: Tue, 13 Mar 2007 17:24:38 +0100

Paolo Bonzini <[email-masked]> writes:

I've done it different, please see the mail:

Subject: [PATCH 2/3] git-fetch: Support the local remote "."

I've done it only modifying git-parse-remote.

[...]

>
> 	The failure, which I didn't see because I didn't have svn-perl
> 	bindings installed, was caused by my usage of "git-show-ref --heads"
> 	where I should have used plain "git-show-ref".

But it should be test in t5515. I've added tests for this.

Thanks,

  Santi